"use strict";
var main_1 = require("./../../../main");
var testHelpers_1 = require("./../../testHelpers");
describe("enum type tests", function () {
    var code = "\nenum MyEnum {\n    Value\n}\nlet e: MyEnum;\nclass MyClass {\n    myProperty: MyEnum;\n}\n";
    var def = main_1.getInfoFromString(code);
    testHelpers_1.runFileDefinitionTests(def, {
        enums: [{
                name: "MyEnum",
                members: [{
                        name: "Value",
                        value: 0
                    }]
            }],
        variables: [{
                name: "e",
                type: {
                    text: "MyEnum",
                    definitions: [{
                            name: "MyEnum"
                        }],
                    allDefinitions: [{
                            name: "MyEnum"
                        }]
                }
            }],
        classes: [{
                name: "MyClass",
                properties: [{
                        name: "myProperty",
                        type: {
                            text: "MyEnum",
                            definitions: [{
                                    name: "MyEnum"
                                }],
                            allDefinitions: [{
                                    name: "MyEnum"
                                }]
                        }
                    }]
            }]
    });
});

//# sourceMappingURL=enumTypeTests.js.map
